Bug 240414 - changes in phonetic assamese keyboard layout needed
changes in phonetic assamese keyboard layout needed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 08:58 EDT by Amitakhya Phukan
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: m17n-contrib-assamese-1.1.3-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-26 07:32:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for assamese phonetic layout (806 bytes, patch)
2007-05-17 08:58 EDT, Amitakhya Phukan
no flags Details | Diff
corrected patch (798 bytes, patch)
2007-05-24 02:23 EDT, Amitakhya Phukan
no flags Details | Diff
updated patch (798 bytes, patch)
2007-05-29 02:48 EDT, Amitakhya Phukan
no flags Details | Diff

  None (edit)
Description Amitakhya Phukan 2007-05-17 08:58:57 EDT
Description of problem:
There are a few changes I would like to have in the Assamese phonetic keyboard
layout. These changes will make the input of characters more convenient in the
phonetic layout.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I am attaching the patch I have created for phonetic layout.I used the following
procedure to create the patch..

copied the as-phonetic.mim from /usr/share/m17n to home directory and made the
necessary changes there. then i used

        diff -uNrp /usr/share/m17n/as-phonetic.mim as-phonetic.mim > phon.txt

to get the patch.

i copied this to /usr/share/m17n and as root ran the command :

        patch -p0 < phon.txt

i have tested on my F7 test machine and it worked fine for me.
Comment 1 Amitakhya Phukan 2007-05-17 08:58:57 EDT
Created attachment 154913 [details]
patch for assamese phonetic layout
Comment 2 Jens Petersen 2007-05-23 22:13:38 EDT
reassigning to Parag, the new package owner
Comment 3 Amitakhya Phukan 2007-05-24 02:23:20 EDT
Created attachment 155313 [details]
corrected patch

the former comment had a problem. resubmitting the corrected patch with one
more additional change. please do revert back to me in case of any error or
clarification needed.
Comment 4 Amitakhya Phukan 2007-05-24 02:24:23 EDT
sorry, please read the comment above as "the former patch had a problem."sorry
for the typo.
Comment 5 Amitakhya Phukan 2007-05-29 02:48:30 EDT
Created attachment 155577 [details]
updated patch
Comment 6 Amitakhya Phukan 2007-05-29 02:49:17 EDT
this is the patch that i have submitted upstream to m17n. it contains some
additional changes over the previous one.
Comment 7 Parag Nemade 2007-07-24 05:20:40 EDT
This patch is included in upstream now and will be reflected in m17n-contrib
packages.
Comment 8 Parag Nemade 2007-07-26 07:32:53 EDT
packages are available in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.